Subject: bug#32823: 26.1; nxml-mode: "no matching start-tag" with long entity definition list

From: [email-masked]
Date: Mon, 27 May 2019 15:22:45 -0400

merge 18871 32823
quit

Eli Zaretskii <[email-masked]> writes:

>> Maybe you're doing something slightly different than I am. I've created a
>> short screencast showing both nxml-finish-element not working and working
>> after the entity definitions have been removed:
>> 
>> https://www.bunkus.org/misc/nxml-mode-bug-32823-01.webm
>> 
>> Maybe that'll help.
>
> It did, thanks.  Turns out I was trying "C-c C-f" on the wrong
> refentry line (there are too many of them).
>
> Anyway, it sounds like the problem is with using syntax-ppss: its 8th
> element is nil in the "good" invocation and non-nil in the "bad" one.

I believe this bug is a dup of #18871, the root of the problem is that
the bounds of the prolog (DTD definition) aren't updated after editing.
Should be fixed by the patch in https://debbugs.gnu.org/18871#30